--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: is_on
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: class to pass IRC Nick changes in. @message contains the old nickame, @sourcenick contains the new one.
constants: []

full_name: Irc::NickMessage
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: newnick
- !ruby/object:RI::MethodSummary 
  name: oldnick
name: NickMessage
superclass: BasicUserMessage
